<?php

namespace Koneko\VuexyWarehouse\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class FixedAsset extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = ['name', 'description', 'acquisition_date', 'value', 'status'];

    protected $casts = [
        'acquisition_date' => 'date',
        'value' => 'decimal:2',
        'status' => 'boolean'
    ];
}
