<?php

namespace Koneko\VuexyWarehouse\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Currency extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = ['code', 'name', 'symbol', 'exchange_rate', 'status'];

    protected $casts = [
        'exchange_rate' => 'decimal:6',
        'status' => 'boolean'
    ];
}
